> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Handle the checkout process for sponsorships



## OpenAPI

````yaml get /frontend/order/sponsorships/{client_id}/{program_id}/{session_id}
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /frontend/order/sponsorships/{client_id}/{program_id}/{session_id}:
    get:
      tags:
        - Frontend
      summary: Handle the checkout process for sponsorships
      operationId: 0638f101b5f56635e842f5cb3903b155
      parameters:
        - name: client_id
          in: path
          description: The ID of the client
          required: true
          schema:
            type: integer
        - name: program_id
          in: path
          description: The ID of the program
          required: true
          schema:
            type: integer
        - name: session_id
          in: path
          description: The ID of the session
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                properties:
                  status:
                    type: string
                    example: success
                  data:
                    properties:
                      entities:
                        description: The entities involved in the sponsorship
                        type: object
                      amount_permissions:
                        description: The permissions for the amount
                        type: object
                      profilePics:
                        description: The profile pictures of the entities
                        type: object
                      titles:
                        description: The titles of the entities
                        type: object
                      vars:
                        description: The variables for the program
                        type: object
                      total:
                        description: The total amount
                        type: integer
                      d_frequencies:
                        description: The frequencies of the designations
                        type: object
                      d_frequency_options:
                        description: The frequency options for the designations
                        type: object
                      frequencies:
                        description: The frequencies of the entities
                        type: object
                      frequency_options:
                        description: The frequency options for the entities
                        type: object
                      frequency_text:
                        description: The text representation of the frequencies
                        type: string
                      hide_frequency:
                        description: Whether to hide the frequency or not
                        type: boolean
                      designations:
                        description: The designations for the program
                        type: object
                      designations_allowed:
                        description: Whether designations are allowed or not
                        type: string
                      currency_symbol:
                        description: The currency symbol for the program
                        type: string
                      saved_designations:
                        description: The saved designations for the program
                        type: object
                      disable_program_link:
                        description: Whether to disable the program link or not
                        type: string
                    type: object
                type: object
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: Your order is empty. Please add an item to your order.
                  status:
                    type: string
                    example: error
                type: object

````